import request from '@/utils/request'

// 查询市场监管_行政许可信息列表
export function listNcertificate(query) {
  return request({
    url: '/basicData/xcrELicNcertificate/findByPage',
    method: 'get',
    params: query
  })
}

// 查询市场监管_行政许可信息详细
export function getNcertificate(xhCodeId) {
  return request({
    url: '/basicData/xcrELicNcertificate/' + xhCodeId,
    method: 'get'
  })
}

// 新增市场监管_行政许可信息
export function addNcertificate(data) {
  return request({
    url: '/basicData/xcrELicNcertificate',
    method: 'post',
    data: data
  })
}

// 修改市场监管_行政许可信息
export function updateNcertificate(data) {
  return request({
    url: '/basicData/xcrELicNcertificate',
    method: 'put',
    data: data
  })
}

// 删除市场监管_行政许可信息
export function delNcertificate(xhCodeId) {
  return request({
    url: '/basicData/xcrELicNcertificate/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delNcertificateBatch(ids) {
  return request.post('/basicData/xcrELicNcertificate/delete',ids)
}
